Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.swing
Class NumberField

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.text.JTextComponent
                      javax.swing.JTextField
                          de.jsystems.framework.controls.FTextField
                              de.jsystems.framework.swing.BusinessTextField
                                  de.jsystems.framework.swing.NumberField

All Implemented Interfaces:
  Accessible, IAction, IActionInterface, IAncestor, ICaret, IComponent, IContainer, IFocus, IHierarchy, IHierarchyBounds, IInputMethod, IKey, ImageObserver, IMouse, IMouseInput, IMouseMotion, IPropertyChange, IVetoableChange, MenuContainer, Scrollable, Serializable, SwingConstants

public class NumberField
extends BusinessTextField

Implementierung eines Textfeldes das nur die Eingabe von Zahlen erlaubt. Buchstaben und Sonderzeichen werden bei der Eingabe nicht akzeptiert. Die einzigen Ausnahmen stellen die Zahlenformatierungszeichen '.' und ',' sowie beim Typ DOUBLE die Zeichen 'e' bzw. 'E' dar. Diese werden akzeptiert. Die Eingegebene Zahl kann direkt als `Number`-Objekt ausgelesen werden. Fuer die Konvertierung in den richtigen Typ muss der Aufrufer bei Bedarf selbst sorgen. Eine Laengenbeschraenkung so wie die Art der Formatierung koennen angegeben werden. Des weiteren ist es moeglich den Zahlenbereich der Eingabe festzulegen. Dann ist es nicht moeglich Werte einzugeben, die diesen Bereich ueber- oder unterschreiten. Zusaetzlich ist es moeglich, negative und positive in verschiedenen Farben anzuzeigen. Dies passiert natuerlich nur dann, wenn die Eingabe von negativen oder positiven Zahlen durch eine evtl. vorhandene Wertbereichsangabe auch erlaubt ist.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JTextField
`JTextField.AccessibleJTextField`

Nested classes inherited from class javax.swing.text.JTextComponent
`JTextComponent.AccessibleJTextComponent, JTextComponent.KeyBinding`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static int` | `DOUBLE` Schalter fuer den Zahlentyp.
`static int` | `LONG` Schalter fuer den Zahlentyp.

Fields inherited from class javax.swing.JTextField
`notifyAction`

Fields inherited from class javax.swing.text.JTextComponent
`DEFAULT_KEYMAP, FOCUS_ACCELERATOR_KEY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`NumberField(int type)` Erzeugt ein neues NumberField.

Method Summary
`double` | `getMaxDoubleValue()` Gibt den maximalen erlaubten Fliesskomma-Wert fuer das Textfeld zurueck.
`long` | `getMaxLongValue()` Gibt den maximalen erlaubten Ganzzahlen-Wert fuer das Textfeld zurueck.
`double` | `getMinDoubleValue()` Gibt den minimalen erlaubten Fliesskomma-Wert fuer das Textfeld zurueck.
`long` | `getMinLongValue()` Gibt den minimalen erlaubten Ganzzahlen-Wert fuer das Textfeld zurueck.
`Number` | `getNumber()` Gibt die eingegebene Zahl als Number-Objekt zurueck.
`void` | `setMaxDoubleValue(double maxValue)` Setzt den maximalen erlaubten Fliesskomma-Wert fuer das Textfeld.
`void` | `setMaxLongValue(long maxValue)` Setzt den maximalen erlaubten Ganzzahlen-Wert fuer das Textfeld.
`void` | `setMinDoubleValue(double minValue)` Setzt den minimalen erlaubten Fliesskomma-Wert fuer das Textfeld.
`void` | `setMinLongValue(long minValue)` Setzt den minimalen erlaubten Ganzzahlen-Wert fuer das Textfeld.

Methods inherited from class de.jsystems.framework.controls.FTextField
`addMouseInputListener, getActionClassForAction, getActionClassForAncestor, getActionClassForCaret, getActionClassForComponent, getActionClassForContainer, getActionClassForFocus, getActionClassForHierarchy, getActionClassForHierarchyBounds, getActionClassForInputMethod, getActionClassForKey, getActionClassForMouse, getActionClassForMouseInput, getActionClassForMouseMotion, getActionClassForPropertyChange, getActionClassForVetoableChange, removeMouseInputListener, setActionClassForAction, setActionClassForAncestor, setActionClassForCaret, setActionClassForComponent, setActionClassForContainer, setActionClassForFocus, setActionClassForHierarchy, setActionClassForHierarchyBounds, setActionClassForInputMethod, setActionClassForKey, setActionClassForMouse, setActionClassForMouseInput, setActionClassForMouseMotion, setActionClassForPropertyChange, setActionClassForVetoableChange`

Methods inherited from class javax.swing.JTextField
`addActionListener, configurePropertiesFromAction, createActionPropertyChangeListener, createDefaultModel, fireActionPerformed, getAccessibleContext, getAction, getActionListeners, getActions, getColumns, getColumnWidth, getHorizontalAlignment, getHorizontalVisibility, getPreferredSize, getScrollOffset, getUIClassID, isValidateRoot, paramString, postActionEvent, removeActionListener, scrollRectToVisible, setAction, setActionCommand, setColumns, setDocument, setFont, setHorizontalAlignment, setScrollOffset`

Methods inherited from class javax.swing.text.JTextComponent
`addCaretListener, addInputMethodListener, addKeymap, copy, cut, fireCaretUpdate, getCaret, getCaretColor, getCaretListeners, getCaretPosition, getDisabledTextColor, getDocument, getDragEnabled, getFocusAccelerator, getHighlighter, getInputMethodRequests, getKeymap, getKeymap, getMargin, getNavigationFilter, getPreferredScrollableViewportSize, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getSelectedText, getSelectedTextColor, getSelectionColor, getSelectionEnd, getSelectionStart, getText, getText, getToolTipText, getUI, isEditable, loadKeymap, modelToView, moveCaretPosition, paste, processInputMethodEvent, read, removeCaretListener, removeKeymap, removeNotify, replaceSelection, select, selectAll, setCaret, setCaretColor, setCaretPosition, setComponentOrientation, setDisabledTextColor, setDragEnabled, setEditable, setFocusAccelerator, setHighlighter, setKeymap, setMargin, setNavigationFilter, setSelectedTextColor, setSelectionColor, setSelectionEnd, setSelectionStart, setText, setUI, updateUI, viewToModel, write`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.jsystems.framework.common.action.IActionInterface
`isEnabled, setEnabled`

Methods inherited from interface de.jsystems.framework.common.action.swing.ICaret
`addCaretListener, removeCaretListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IInputMethod
`addInputMethodListener, removeInputMethodListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IAction
`addActionListener, removeActionListener`

Methods inherited from interface de.jsystems.framework.common.action.swing.IAncestor
`addAncestorListener, removeAncestorListener`

Methods inherited from interface de.jsystems.framework.common.action.beans.IPropertyChange
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.beans.IVetoableChange
`addVetoableChangeListener, removeVetoableChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IContainer
`addContainerListener, removeContainerListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IComponent
`addComponentListener, removeComponentListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IFocus
`addFocusListener, removeFocusListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchy
`addHierarchyListener, removeHierarchyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchyBounds
`addHierarchyBoundsListener, removeHierarchyBoundsListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IKey
`addKeyListener, removeKeyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouse
`addMouseListener, removeMouseListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouseMotion
`addMouseMotionListener, removeMouseMotionListener`

Field Detail

### DOUBLE

    public static final int DOUBLE

  Schalter fuer den Zahlentyp. Erlaubt die Eingabe von Ganzzahlen.

  See Also:
    Constant Field Values

### LONG

    public static final int LONG

  Schalter fuer den Zahlentyp. Erlaubt die Eingabe voin Fliesskommazahlen.

  See Also:
    Constant Field Values

Constructor Detail

### NumberField

    public NumberField(int type)

  Erzeugt ein neues NumberField. Dieser erlaubt nur die Eingabe von Zahlen. Sonderzeichen und Buchstaben in der Eingabe werden ignoriert. Erzeugt ein neues NumberField. Dieser erlaubt je nach Uebergabeparameter die Eingabe von Ganzzahlen oder von Fliesskommazahlen. Dabei gelten die bei den entsprechenden Dokumenten angegebenen Beschreibungen. Der typ kann entweder `DOUBLE` oder `LONG` sein. Wenn der Typ uebergeben wird, der nciht bekannt ist, so wird eine `IllegalArgumentException` ausgeloest.

Parameters:
  `type` - Der Typ Zahlen, die in diesem Eingabefeld angeziegt wernde sollen.
See Also:
  `LongDocument`, `DoubleDocument`

Method Detail

### getNumber

    public Number getNumber()

  Gibt die eingegebene Zahl als Number-Objekt zurueck. Wenn in der Oberflaeche nichts steht oder nur Leerzeichen wird NULL zurueckgegeben.

  Returns:
    Die eingegebene Zahl als Number-Objekt oder NULL, wenn keine Eingabe vorhanden ist.

### setMinLongValue

    public void setMinLongValue(long minValue)

  Setzt den minimalen erlaubten Ganzzahlen-Wert fuer das Textfeld. Der Wert kann nicht kleiner sein als `Long.MIN_VALUE`. Wenn als Typ `DOUBLE` eingestellt wurde hat der Aufruf dieser Methode keinen Effekt.

  Parameters:
    `minValue` - Der minimale erlaubte Ganzzahlen-Wert fuer das Textfeld.

### getMinLongValue

    public long getMinLongValue()

  Gibt den minimalen erlaubten Ganzzahlen-Wert fuer das Textfeld zurueck.

  Returns:
    Der minimale erlaubte Ganzzahlen-Wert fuer das Textfeld.

### setMaxLongValue

    public void setMaxLongValue(long maxValue)

  Setzt den maximalen erlaubten Ganzzahlen-Wert fuer das Textfeld. Der Wert kann nicht groesser sein als `Long.MAX_VALUE`. Wenn als Typ `DOUBLE` eingestellt wurde hat der Aufruf dieser Methode keinen Effekt.

  Parameters:
    `maxValue` - Der maximale erlaubte Ganzzahlen-Wert fuer das Textfeld.

### getMaxLongValue

    public long getMaxLongValue()

  Gibt den maximalen erlaubten Ganzzahlen-Wert fuer das Textfeld zurueck.

  Returns:
    Der maximale erlaubte Ganzzahlen-Wert fuer das Textfeld.

### setMinDoubleValue

    public void setMinDoubleValue(double minValue)

  Setzt den minimalen erlaubten Fliesskomma-Wert fuer das Textfeld. Der Wert kann nicht kleiner sein als `Double.MIN_VALUE`. Wenn als Typ `LONG` eingestellt wurde hat der Aufruf dieser Methode keinen Effekt.

  Parameters:
    `minValue` - Der minimale erlaubte Fliesskomma-Wert fuer das Textfeld.

### getMinDoubleValue

    public double getMinDoubleValue()

  Gibt den minimalen erlaubten Fliesskomma-Wert fuer das Textfeld zurueck.

  Returns:
    Der minimale erlaubte Fliesskomma-Wert fuer das Textfeld.

### setMaxDoubleValue

    public void setMaxDoubleValue(double maxValue)

  Setzt den maximalen erlaubten Fliesskomma-Wert fuer das Textfeld. Der Wert kann nicht groesser sein als `Double.MAX_VALUE`. Wenn als Typ `LONG` eingestellt wurde hat der Aufruf dieser Methode keinen Effekt.

  Parameters:
    `maxValue` - Der maximale erlaubte Fliesskomma-Wert fuer das Textfeld.

### getMaxDoubleValue

    public double getMaxDoubleValue()

  Gibt den maximalen erlaubten Fliesskomma-Wert fuer das Textfeld zurueck.

  Returns:
    Der maximale erlaubte Fliesskomma-Wert fuer das Textfeld.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD